<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="../static/css/bootstrap.min.css" th:href="@{/css/bootstrap.min.css}">
    <link rel="stylesheet" href="../static/css/all.min.css" th:href="@{/css/all.min.css}">
    <link rel="stylesheet" href="../static/css.css" th:href="@{/css/css.css}">
    <title th:text="#{application-name}">Url short alias generator</title>
</head>
<body>
<div class="row">
    <div class="col offset-md-2 col-md-8 mt-5">
        <div class="text-center"><h1 th:text="#{application-name}">Url short alias generator</h1></div>
    </div>
</div>
<div class="row">
    <div class="col offset-md-2 col-md-8 mt-2">
        <div class="card">
            <div class="card-body">
                <form method="post">
                    <div class="form-group">
                        <label for="urlText" th:text="#{input-label}">Enter url</label>
                        <input required minlength="3" class="form-control" id="urlText" name="urlText" type="text">
                    </div>
                    <input class="form-control btn btn-outline-secondary" type="submit" value="OK"
                           th:value="#{ok-button-label}">
                </form>
            </div>
        </div>
    </div>
</div>
<div class="row" th:if="${urlExists}">
    <div class="col offset-md-2 col-md-8 mt-2">
        <div class="alert alert-success">
            <h3 th:text="#{url-result-label}">Url alias: </h3>
            <p class="text-center" th:text="${urlShortcut}">https://localhost:8080/r/NQ==</p>
        </div>
    </div>
</div>

<div class="row" th:if="${errorExists}">
    <div class="col offset-md-2 col-md-8 mt-2">
        <div class="alert alert-danger">
            <strong>Error: </strong>
            <span th:text="#{error-message}">Service is temporary offline.</span>
        </div>
    </div>
</div>


<script src="../static/js/jquery-3.4.1.js" th:src="@{/js/jquery-3.4.1.js}"></script>
<script src="../static/js/bootstrap.bundle.min.js" th:src="@{/js/bootstrap.bundle.min.js}"></script>
</body>
</html>
